Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 144737 - Compilation with JDK 6 Fails
Compilation with JDK 6 Fails
Status: RESOLVED FIXED
Product: utilities
Classification: Unclassified
Component: Jump To
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Tomas Zezula
Jiri Prox
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-21 17:00 UTC by tomwheeler
Modified: 2008-08-25 12:58 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tomwheeler 2008-08-21 17:00:52 UTC
The compiler bug described in issue #128361 seems to also affect these two files from the NetBeans 6.5 beta IDE sources:

   org.netbeans.spi.jumpto.symbol.SymbolProvider, line ~213

   org.netbeans.modules.uihandler.Install, line ~ 1676

A minor edit (casting to a java.util.List) similar to that shown in patch 57582 in issue #128361 is the workaround
needed.  This does compile with JDK 5 as well.
Comment 1 Peter Pis 2008-08-22 07:04:49 UTC
Reassigning to "logger" for evaluation.
Comment 2 Jaroslav Tulach 2008-08-22 11:41:41 UTC
Fixed logger, passing to jumpto...

changeset:   97482:a3c9f97bd47c
tag:         tip
parent:      96952:85328bf63bd3
user:        Jaroslav Tulach <jtulach@netbeans.org>
date:        Fri Aug 22 12:39:20 2008 +0200
summary:     #144737: Allowing compilation with Java 1.6
Comment 3 Quality Engineering 2008-08-23 05:17:05 UTC
Integrated into 'main-golden', available in build *200808230201* on http://bits.netbeans.org/dev/nightly/
Changeset: http://hg.netbeans.org/main/rev/a3c9f97bd47c
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #144737: Allowing compilation with Java 1.6
Comment 4 Tomas Zezula 2008-08-25 12:58:46 UTC
http://hg.netbeans.org/main/rev/532bad2bed7a


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo